package eu.atosresearch.health.prescripciones.client.widgets;

import com.allen_sauer.gwt.log.client.Log;

import com.google.gwt.core.client.GWT;
import com.google.gwt.user.client.ui.Anchor;
import com.google.gwt.user.client.ui.Composite;
import com.google.gwt.user.client.ui.FlowPanel;
import com.google.gwt.user.client.ui.Image;
import com.google.gwt.user.client.ui.Label;
import com.google.gwt.user.client.ui.HorizontalPanel;
import com.google.gwt.user.client.ui.VerticalPanel;

import eu.atosresearch.health.prescripciones.client.Controlador;
import com.google.gwt.user.client.ui.HasHorizontalAlignment;

public class UsuarioDelSistemaWidget extends Composite {

	public UsuarioDelSistemaWidget(String usuario) {
		Log.debug("Widget Usuario del sistema");
		
		HorizontalPanel horizontalPanel = new HorizontalPanel();
		horizontalPanel.setWidth("100%");
		horizontalPanel.setSpacing(5);
		horizontalPanel.setStyleName("usuarioDelSistema");
		initWidget(horizontalPanel);
		
		Image image = new Image("images/Logo.png");
		horizontalPanel.add(image);
		image.setSize("104px", "42px");
		
		Label lblServicioDeTeleasistencia = new Label("Servicio de Teleasistencia - PAUTA");
		lblServicioDeTeleasistencia.setStyleName("labelCabeceraUsuario");
		horizontalPanel.add(lblServicioDeTeleasistencia);
		
		VerticalPanel verticalPanel = new VerticalPanel();
		verticalPanel.setWidth("100%");
		verticalPanel.setHorizontalAlignment(HasHorizontalAlignment.ALIGN_RIGHT);
		horizontalPanel.add(verticalPanel);
		
		Label lblUser = new Label("Usuario: " + usuario);
		verticalPanel.setCellHorizontalAlignment(lblUser, HasHorizontalAlignment.ALIGN_RIGHT);
		verticalPanel.add(lblUser);
		Anchor hprlnkLogout = new Anchor("Cerrar sesión", GWT.getHostPageBaseURL() + "PautaTeleasistencia.html","_top");
		verticalPanel.setCellHorizontalAlignment(hprlnkLogout, HasHorizontalAlignment.ALIGN_RIGHT);
		verticalPanel.add(hprlnkLogout);
		
	}

}
