package eu.atosresearch.health.prescripciones.client.widgets.alarmas;

import com.google.gwt.user.client.ui.DialogBox;

import eu.atosresearch.health.prescripciones.shared.AlarmaBean;
import com.google.gwt.user.client.ui.VerticalPanel;
import com.google.gwt.user.client.ui.Grid;
import com.google.gwt.user.client.ui.Button;
import com.google.gwt.user.client.ui.Label;
import com.google.gwt.event.dom.client.ClickHandler;
import com.google.gwt.event.dom.client.ClickEvent;

public class AccionInfoDialogWidget extends DialogBox {

	public AccionInfoDialogWidget(AlarmaBean alarma) {
		setHTML("Detalle de la alarma");
		
		VerticalPanel verticalPanel = new VerticalPanel();
		verticalPanel.setSpacing(15);
		setWidget(verticalPanel);
		verticalPanel.setSize("100%", "100%");
		
		Grid grid = new Grid(5, 2);
		verticalPanel.add(grid);
		
		Label lblIdentificadorDeAlarma = new Label("Identificador de alarma:");
		grid.setWidget(0, 0, lblIdentificadorDeAlarma);
		
		Label lblIdentificadorrellenar = new Label(alarma.getId());
		grid.setWidget(0, 1, lblIdentificadorrellenar);
		
		Label lblCdigoDelPaciente = new Label("Código del paciente:");
		grid.setWidget(1, 0, lblCdigoDelPaciente);
		
		Label lblCodigorellenar = new Label(alarma.getPacienteId());
		grid.setWidget(1, 1, lblCodigorellenar);
		
		Label lblFechaEnQue = new Label("Fecha en que se produjo:");
		grid.setWidget(2, 0, lblFechaEnQue);
		
		Label lblFecharellenar = new Label(alarma.getFecha());
		grid.setWidget(2, 1, lblFecharellenar);
		
		Label lblDescripcin = new Label("Descripción:");
		grid.setWidget(3, 0, lblDescripcin);
		
		Label lblDescripcionrellenar = new Label(alarma.getDescripcion());
		grid.setWidget(3, 1, lblDescripcionrellenar);
		
		Label lblPrioridad = new Label("Prioridad:");
		grid.setWidget(4, 0, lblPrioridad);
		
		Label lblPrioridadrellenar = new Label(alarma.getPrioridad());
		grid.setWidget(4, 1, lblPrioridadrellenar);
		
		Button btnAceptar = new Button("Aceptar");
		btnAceptar.addClickHandler(new ClickHandler() {
			public void onClick(ClickEvent event) {
				hide();
			}
		});
		verticalPanel.add(btnAceptar);
		
		
	}

}
