package eu.atosresearch.health.prescripciones.server;

import com.google.gwt.user.server.rpc.RemoteServiceServlet;

import eu.atosresearch.health.prescripciones.client.MailService;

import javax.mail.*;
import javax.mail.internet.*;

import java.util.Properties;

/**
 * The server side implementation of the RPC service.
 */
@SuppressWarnings("serial")
public class MailServiceImpl extends RemoteServiceServlet implements MailService {

    private static final String SMTP_HOST_NAME = "smtp.gmail.com";
    private static final int SMTP_HOST_PORT = 465;
	

	public String enviarEmailAEnviar(String para, String asunto, String cuerpo) throws IllegalArgumentException {
        String SMTP_AUTH_USER = "pauta.teleasistencia@gmail.com";
        String SMTP_AUTH_PWD  = "5678pauta";
		
		final String de1 = SMTP_AUTH_USER;
		final String contra1 = SMTP_AUTH_PWD;
	    final String para1 = para;
	    final String asunto1 = asunto;
	    final String cuerpo1 = cuerpo;
	    
		String retorno;
		
		try {
			System.out.println("--------------------------> Enviando email... ");
			enviarEmail(de1, contra1, para1, asunto1, cuerpo1);
			System.out.println("--------------------------> Enviado email!");
			retorno = "ok";
		} catch (Exception ex) {
			retorno = "ko -> " + ex.getMessage();
		}
		return retorno;
	}
	
    private void enviarEmail(String de, String contra, String para, String asunto, String cuerpo) throws Exception{
        Properties props = new Properties();
        
        props.put("mail.transport.protocol", "smtps");
        props.put("mail.smtps.host", SMTP_HOST_NAME);
        props.put("mail.smtps.auth", "true");
        // props.put("mail.smtps.quitwait", "false");

        Session mailSession = Session.getDefaultInstance(props);
        mailSession.setDebug(true);
        Transport transport = mailSession.getTransport();

        MimeMessage message = new MimeMessage(mailSession);
        message.setSubject(asunto);
        message.setContent(cuerpo,"text/plain");

        message.addFrom(new InternetAddress[] { new InternetAddress(de)});
		message.addRecipient(Message.RecipientType.TO, new InternetAddress(para));
        message.setSender(new InternetAddress(de));

        transport.connect(SMTP_HOST_NAME, SMTP_HOST_PORT, de, contra);

        transport.sendMessage(message, message.getAllRecipients());
        transport.close();
    }
}
