package eu.atosresearch.health.prescripciones.server;

import java.io.Serializable;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;


public class Utilidades implements Serializable {

	private static final long serialVersionUID = 1L;

	public static final String patronDia = "dd-MM-yyyy";
	public static final String patronHora = "HH:mm";
	public static final String patronFecha = "dd-MM-yyyy HH:mm";
	
	
	public static String convertirDia(Date dia) {
		SimpleDateFormat sdf = new SimpleDateFormat(patronDia);
		return sdf.format(dia);
	}
	
	public static String convertirHora(Date hora) {
		SimpleDateFormat sdf = new SimpleDateFormat(patronHora);
		return sdf.format(hora);
	}
	
	public static String convertirFecha(Date fecha) {
		SimpleDateFormat sdf = new SimpleDateFormat(patronFecha);
		return sdf.format(fecha);
	}

	public static Date convertirDia(String dia) throws ParseException {
		SimpleDateFormat sdf = new SimpleDateFormat(patronDia);
		Date date = sdf.parse(dia);
		return date;
	}

	public static Date convertirHora(String hora) throws ParseException {
		SimpleDateFormat sdf = new SimpleDateFormat(patronHora);
		Date date = sdf.parse(hora);
		return date;
	}
	
	public static Date convertirFecha(String fecha) throws ParseException {
		SimpleDateFormat sdf = new SimpleDateFormat(patronFecha);
		Date date = sdf.parse(fecha);
		return date;
	}
	
	
}