package eu.atosresearch.health.prescripciones.server.authorization;

import org.apache.commons.configuration.ConfigurationException;
import org.apache.commons.configuration.PropertiesConfiguration;
import org.apache.log4j.Logger;


public class Acceso {

	static Logger logger = Logger.getLogger("Acceso");
	
	public static boolean autorizacion(String usuario, String pass) {
		logger.debug("Proceso de autorización...");		
		PropertiesConfiguration listaUsuarios = new PropertiesConfiguration();
		try {
			listaUsuarios.load(Acceso.class.getClassLoader().getResourceAsStream("eu/atosresearch/health/prescripciones/server/authorization/usuarios.properties"));
			logger.debug("Accesos de usuarios cargados correctamente.");
		} catch (ConfigurationException ex) {
		    logger.error("Exception cargando privilegios de usuarios: ", ex);
		}
				
		if (!"".equalsIgnoreCase(usuario) && listaUsuarios.containsKey(usuario))
			if (listaUsuarios.getString(usuario).equals(pass))
				return true;
		return false;
	}
}
