package eu.atosresearch.health.prescripciones.client.widgets.alarmas;

import com.google.gwt.user.client.ui.DialogBox;
import com.google.gwt.user.client.ui.HTML;
import com.google.gwt.user.client.ui.VerticalPanel;
import com.google.gwt.user.client.ui.Grid;
import com.google.gwt.user.client.ui.HorizontalPanel;
import com.google.gwt.user.client.ui.Button;
import com.google.gwt.user.client.ui.Label;
import com.google.gwt.event.dom.client.ClickHandler;
import com.google.gwt.event.dom.client.ClickEvent;

import eu.atosresearch.health.prescripciones.client.Controlador;
import eu.atosresearch.health.prescripciones.shared.AlarmaBean;

public class AccionTelefonoDialogWidget extends DialogBox {
	

	public AccionTelefonoDialogWidget(AlarmaBean alarma) {
		setHTML("Telefono");
		
		VerticalPanel verticalPanel = new VerticalPanel();
		verticalPanel.setSpacing(15);
		setWidget(verticalPanel);
		verticalPanel.setSize("100%", "100%");
		
		Grid gridPaciente = new Grid(2, 3);
		gridPaciente.setCellSpacing(4);
		gridPaciente.setCellPadding(4);
		verticalPanel.add(gridPaciente);
		
		Label lblPaciente = new Label("Paciente:");
		gridPaciente.setWidget(0, 0, lblPaciente);
		
		Label labelPacienteRellenar = new Label(alarma.getPacienteId());
		gridPaciente.setWidget(0, 1, labelPacienteRellenar);
		
		Label lblTelfono = new Label("Teléfono:");
		gridPaciente.setWidget(1, 0, lblTelfono);
				
		Label labelTelefonoPacienteRellenar = new Label(Controlador.getInstance().getPacienteBean(alarma.getPacienteId()).getMovil());
		//gridPaciente.setWidget(1, 1, labelTelefonoPacienteRellenar);
		gridPaciente.setWidget(1, 1, new HTML(Controlador.getInstance().getPacienteBean(alarma.getPacienteId()).getMovil()));
		
		Grid gridContacto = new Grid(2, 3);
		gridContacto.setCellSpacing(4);
		gridContacto.setCellPadding(4);
		verticalPanel.add(gridContacto);
		
		Label lblCuidador = new Label("Cuidador:");
		gridContacto.setWidget(0, 0, lblCuidador);
		
		Label labelCuidadorRellenar = new Label(Controlador.getInstance().getPacienteBean(alarma.getPacienteId()).getContactoNombre());
		gridContacto.setWidget(0, 1, labelCuidadorRellenar);
		
		Label lblTelfonoCuidador = new Label("Teléfono:");
		gridContacto.setWidget(1, 0, lblTelfonoCuidador);
		
		Label labelTelefonoCuidadorRellenar = new Label(Controlador.getInstance().getPacienteBean(alarma.getPacienteId()).getContactoMovil());
		//gridContacto.setWidget(1, 1, labelTelefonoCuidadorRellenar);
		gridContacto.setWidget(1, 1, new HTML(Controlador.getInstance().getPacienteBean(alarma.getPacienteId()).getContactoMovil()));
		
		HorizontalPanel horizontalPanelBotones = new HorizontalPanel();
		horizontalPanelBotones.setSpacing(15);
		verticalPanel.add(horizontalPanelBotones);
		
		Button btnAceptar = new Button("Aceptar");
		btnAceptar.addClickHandler(new ClickHandler() {
			public void onClick(ClickEvent event) {
				hide();
			}
		});
		horizontalPanelBotones.add(btnAceptar);
	}

}
